#---------------------------------------------------------
# This Datapack was made by CommandGeek
# Please do not copy or credit this as your own work!
# Youtube: www.youtube.com/CommandGeek
#---------------------------------------------------------

# Death
execute as @a[scores={pizza.death=1..}] run function pizza:death

#=========================================================
# Pizza Bar
#=========================================================

# Initiation Amount
execute as @a[tag=pizza.consume.other] run function pizza:amount

# Decrease 
execute as @a[scores={pizza.bar=1..},gamemode=!creative,gamemode=!spectator] run function pizza:bar/decrease

# Check When To Diplay
execute as @a[tag=pizza.bar,gamemode=!survival,gamemode=!adventure] run function pizza:bar/reset
execute as @a[tag=pizza.bar,tag=!pizza.addict] run function pizza:bar/reset
execute as @a[gamemode=!creative,gamemode=!spectator,tag=pizza.addict] run function pizza:bar/set

# Low Bar Event
execute as @a[tag=pizza.addict,scores={pizza.bar=..0}] run function pizza:bar/low

# High Bar Event
scoreboard players add @a[tag=pizza.bar.high] pizza.bar.high 1
execute as @a[scores={pizza.bar.high=20..}] at @s run function pizza:bar/high/check

#=========================================================
# Pizza Box
#=========================================================

# Use Box
execute as @a[scores={pizza.box.use=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Pizza:"box"}}}] at @s run function pizza:box/use
scoreboard players reset @a[scores={pizza.box.use=1..}] pizza.box.use

# Drop Box
execute as @e[type=item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{Pizza:"box"}},OnGround:1b}] at @s run function pizza:box/drop

# Pickup Box
execute as @e[tag=pizza.box] at @s if entity @a[distance=..0.5] run function pizza:box/pickup

# Wandering Traders
execute as @e[type=wandering_trader,tag=!pizza.box.trader] if predicate pizza:trader run function pizza:box/trader
tag @e[type=wandering_trader,tag=!pizza.box.trader] add pizza.box.trader

#=========================================================
# Whole Pizza
#=========================================================

# Fly
execute as @e[tag=pizza.whole] at @s run function pizza:whole/teleport/run
scoreboard players remove @e[tag=pizza.whole,scores={pizza.whole.speed=-20..}] pizza.whole.speed 1

# End
scoreboard players add @e[tag=pizza.whole] pizza.whole.life 1
kill @e[tag=pizza.whole,scores={pizza.whole.life=300..}]

scoreboard players add @e[tag=pizza.whole.end] pizza.whole.life 1
kill @e[tag=pizza.whole.end,scores={pizza.whole.life=5..}]

# Protection
scoreboard players remove @a[scores={pizza.whole.protection=1..}] pizza.whole.protection 1

# Rotation
scoreboard players add @e[tag=pizza.whole] pizza.whole.rotation 20
execute as @e[tag=pizza.whole] store result entity @s Pose.Head[1] float 1 run scoreboard players get @s pizza.whole.rotation

# Use Pizza
execute as @a[scores={pizza.whole.use=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Pizza:"whole"}}}] at @s positioned ~ ~0.7 ~ run function pizza:whole/use
scoreboard players reset @a[scores={pizza.whole.use=1..}] pizza.whole.use